package org.gcube.informationsystem.utils.documentation;

import java.io.File;
import java.net.URL;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class GenerateTest {

	private static final Logger logger = LoggerFactory.getLogger(GenerateTest.class);
	
	@Test
	public void testDocGeneration() throws Exception {
		URL jsonFileURL = this.getClass().getClassLoader().getResource("logback-test.xml");
		File file = new File(jsonFileURL.toURI());
		DocGenerator documentationGenerator = new DocGenerator(file.getParentFile());
		documentationGenerator.generate();
	}
}
